:root {
    --main-color: #782E96;
    --main-color-2: #A43D96;
    --detail-color: #DE9657;
    --detail-color-2: #EFC78C;
}


* {
    margin: 0;
    box-sizing: border-box;
}

body {
    margin: 0 auto;
    font-family: "Open Sans", sans-serif;
    font-weight: 400;
    font-style: normal;
    background-color: #EAEAEA;
    color: black;
}

nav {

}

/* Style the navigation menu */
.topnav {
    /*font-family: Inria_Sans;*/
    overflow: hidden;
    top: 0;
    position: sticky;
    z-index: 999;
    background-color: var(--main-color);
    height: 10vh;
    display: flex;
    flex-direction: row;
}

.logoimg {
    height: calc(10vh - 5px);
    padding: 7px;
}

.topnav .nav-left {
    display: flex;
    flex: 1;
    justify-content: start;
    align-content: start;
}

.topnav .nav-right {
    display: flex;
    flex: 1;
}

.topnav .profile {
    flex: 1;
}

.time-radio {
    appearance: none;
}

.date-radio {
    appearance: none;
}

.myBtn {
    display: block;
    padding: 10px;
    cursor: pointer;
    border-color: #E9E9E9;
    transition: background 0.2s;
    font-size: 1.6rem;

    width: 100%;
    height: 20%;
    overflow: hidden;
}

.close {
    background-color: transparent;
    border: none;
    font-size: 1.5rem;
    margin-right: 10px;
}

.modal {
    display: none;
    width: 460px;
    height: auto;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    padding: 10px;
    z-index: 1000;
    border-radius: 10px;
}

.modal.active {
    display: block;
}

.modal-content {
    margin-top: 10px;
    margin-bottom: 20px;
    display: flex;
    justify-content: space-between;
    gap: 12vw;
    text-align: start;
}

.modal-content li {
    font-size: 1.6rem;
    font-family: Lexend;
}

.modal-options {
    display: flex;
    max-height: 60vh;
    justify-content: flex-end;
    overflow-y: auto;
    margin-bottom: 10px;
    font-family: Lexend;
}

.button-edit {
    flex: 1;
    text-decoration: none;
    color: var(--main-color);
}

.button-delete {
    flex: 1;
    text-decoration: none;
    color: var(--main-color);
}


.time-label {
    display: block;
    padding: 10px;
    cursor: pointer;
    border-bottom: 1px solid #ddd;
    transition: background 0.2s;
}

.time-label:hover {
    background-color: #f0f0f0;
}


.time-radio:checked + .time-label {
    background-color: #4CAF50;
    color: white;
    font-weight: bold;
}

.date-label {
    display: block;
    padding: 10px;
    cursor: pointer;
    border-bottom: 1px solid #ddd;
    transition: background 0.2s;
}

.day {
    position: relative;
}

.day {
    position: relative;
}

.date-label {
    font-family: Lexend;
}

.date-label:hover {
    background-color: #edbd98;
}


.date-radio:checked + .date-label {
    background-color: #DE9657;
    color: white;
    font-weight: bold;
}

.day.has-appointment .date-label {
    color: #000;
}

.day.has-appointment .date-label:hover {
    background: #edbd98;
    color: #000;
}

/* optional small indicator */
.day.has-appointment .appointment-dot {
    position: absolute;
    right: 6px;
    bottom: 6px;
    width: 8px;
    height: 8px;
    background: #d84315;
    border-radius: 50%;
}

.nav-left {
    color: white;
    padding: 4px 6px;
    text-decoration: none;
    font-size: 30px;
    display: block;
    flex: 1;
    justify-content: start;
    align-content: center;
}

.nav-left a {
    justify-content: center;
    align-content: center;
}

.nav-right .about-nav {
    padding: 4px 6px;
    margin: 0;
    text-decoration: none;
    font-size: 27px;
    display: block;
    flex: 1;
    text-align: center;
    justify-content: center;
    align-content: center;
}

.nav-right .create-nav {
    padding: 4px 6px;
    margin-right: 3vh;
    margin-left: 0;
    text-decoration: none;
    font-size: 27px;
    display: block;
    flex: 1;
    text-align: center;
    justify-content: center;
    align-content: center;
}

.about-nav a {
    color: white;
    text-decoration: none;
}

.create-nav a {
    color: white;
    text-decoration: none;
}

.nav-right a:hover {
    text-decoration: underline;
}

.burger-click {
    padding: 4px 6px;
    margin-right: 3vh;
    margin-left: 0;
    text-decoration: none;
    font-size: 27px;
    display: block;
    flex: 1;
    text-align: center;
    justify-content: center;
    align-content: center;
}

.profile {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 1vh;
}

.profile img {
    height: 6.7vh;
    width: 6.7vh;
    border-radius: 50%;
    object-fit: cover;
}

.profile p {
    color: white;
    padding-left: 10px;
    text-decoration: none;
    font-size: 27px;
}


div {
    /*padding: 4px 6px;*/
    text-decoration: none;
    font-size: 27px;
    display: block;
    flex: 1;
    text-align: center;
    justify-content: center;
    align-content: center;
}


/*New attempt at burbger */

/*Offscreen menu*/
.burger {
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 6vw;
    margin: 1vh;
    padding: 0;
}

.burger-dropdown {
    margin: 0;
    padding: 0;
    background-color: var(--main-color-2);
    height: 30vh;
    width: 100%;
    max-width: 450px;
    position: fixed;
    top: -40vh;
    opacity: 0.15;
    margin-top: 10vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    transition: 0.6s ease;

}

.burger-dropdown.active {
    top: 0;
    opacity: 1;
}

.burger-content {
    margin: 0;
    padding: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: start;
    flex-direction: column;
}

.burger-click {
    width: 100%;
    text-align: left;
    height: 100%;
    transition: 0.3s ease;
}

.burger-click a {
    object-fit: fill;
    color: white;
    transition: 0.6s ease;
    text-decoration: none;
}

.burger-click:hover {
    cursor: pointer;
    background-color: white;
}

.burger-click:hover a {
    color: black;
}

.hamburger-spans {
    height: 50px;
    width: 50px;
    margin-left: auto;
    position: relative;
}

.hamburger-spans span {
    height: 5px;
    width: 40px;
    background-color: #ffffff;
    border-radius: 25px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: 0.3s ease;
}

.hamburger-spans span:nth-child(1) {
    top: 25%;
}

.hamburger-spans span:nth-child(3) {
    top: 75%;
}

.hamburger-spans.active span:nth-child(1) {
    top: 50%;
    transform: translate(-50%, -50%) rotate(45deg);

}

.hamburger-spans.active span:nth-child(2) {
    opacity: 0;
}

.hamburger-spans.active span:nth-child(3) {
    top: 50%;
    transform: translate(-50%, -50%) rotate(-45deg);

}


header {
    background-color: #EAEAEA;
    color: #000000;
    /*width: 90vw;*/
    justify-content: center;
}

header p {
    font-size: 22px;
    font-family: Inria_Sans, sans-serif;
    width: 50vw;
    justify-self: center;
}

.imageSeperate {
    display: flex;
}

.FLIR {
    width: auto;
    height: 60vh;
    padding-left: 120px;
}

h1 {
    font-family: Lexend, serif;
    font-size: 31.6px;
    color: var(--main-color-2);
    padding: 10px;
}

h2, h3, h4, h5, h6 {
    font-family: Lexend, serif;
    font-weight: bold;
    color: var(--main-color-2);
}

.h2-appointments-edit {
    color: var(--detail-color);
    text-align: start;
    margin-left: 7vw;
    font-size: 2.6rem;
    padding-top: 5vh;
}

.h1_edit {
    color: var(--detail-color);
    text-align: start;
    margin-left: 7vw;
    font-size: 3rem;
    padding-top: 5vh;
}

.appointments-text-input {
    display: flex;
    flex-direction: column;
    padding: 10px;
    justify-content: center;
    align-content: center;
    max-width: 27%;
    margin-left: 10vw;
}


.input {
    width: 100%;
}

.textareaField {
    display: flex;
    gap: 10px;
    flex-direction: column;
    justify-content: start;
    align-content: center;
}

.textareaField2 {
    display: flex;
    gap: 10px;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    padding-bottom: 30px;
}

.textfield {
    border: var(--main-color) solid 2.5px;
    width: 100%;
    height: 35vh;
    border-radius: 5%;
    padding-top: 7px;
    box-sizing: border-box;
    background-color: #F5F5F5;
    margin: 2vh 0;
}

.textfield2 {
    border: var(--main-color) solid 2.5px;
    width: 50vw;
    height: 35vh;
    border-radius: 5%;
    padding-top: 7px;
    box-sizing: border-box;
    background-color: #F5F5F5;
    margin: 2vh 0;
    justify-self: center;
}

textarea.textfield#textfield {
    font-family: Open Sans, sans-serif;
    color: #000000;
    font-size: 1.25rem;
}

.appointments-text-input input#location.location {
    border: var(--main-color) solid 2.5px;
    width: 500px;
    height: 5vh;
    border-radius: 5%;
    background-color: #F5F5F5;
    font-family: Open Sans, sans-serif;
    color: #000000;
    font-size: 1.25rem;
}

.editEverything input#location.location {
    border: var(--main-color) solid 2.5px;
    width: 50vw;
    height: 5vh;
    border-radius: 5%;
    background-color: #F5F5F5;
    font-family: Open Sans, sans-serif;
    color: #000000;
    font-size: 1.25rem;
}

div.textareaField2 {
    justify-self: center;
}

.profileAll {
    margin-top: 5vh;
    margin-bottom: 35vh;
}

.profileAll h1 {
    padding: 5vh;
}

.textfield2 {
    font-family: Open Sans, sans-serif;
    color: #000000;
    font-size: 1.25rem;
}

::placeholder {
    font-family: Open Sans, sans-serif;
    color: #C3C3C3;
    font-size: 1.25rem;
}

label#textfield, .locationLabel {
    font-family: Lexend, sans-serif;
    color: #000000;
    font-size: 1.5rem;
    font-weight: bold;
}

.appointments-text-input .submitButton {
    font-family: Open Sans, sans-serif;
    color: #000000;
    font-size: 1.5rem;
    font-weight: bold;
    background-color: var(--detail-color-2);
    border: var(--detail-color) solid 2px;
    border-radius: 10%;
    height: 40px;
    width: 100%;
}

.h1_register_login {
    color: var(--detail-color);
    font-size: 1.8em;
    padding: 20px;
}

input#name.name, input#company.company, input#email.email, input#password.password {
    background-color: #F5F5F5;
    border: var(--main-color) solid 2px;
    width: 510px;
    height: 50px;
    border-radius: 10%;
    font-size: 0.7em;
    font-family: Open Sans, sans-serif;
    padding-left: 10px;
}

.formPart {
    padding: 10px;
}

.warning {
    /*color: #9f9f9f;*/
    color: #575757;
    font-size: 1rem;
    padding: 5px;
}

.labels {
    padding: 7px;
}

.buttons {
    padding: 30px;
}

label.name, label.company, label.email, label.password {
    font-family: Lexend, sans-serif;
}

.buttonSpacing {
    padding: 40px;
    padding-bottom: 60px;
}

.submitButton2 {
    font-family: Lexend, sans-serif;
    color: #000000;
    font-size: 1.5rem;
    font-weight: normal;
    background-color: var(--detail-color-2);
    border: var(--detail-color) solid 2px;
    border-radius: 10%;
    height: 40px;
    width: 500px;
}

.submitButton3 {
    font-family: Lexend, sans-serif;
    color: #000000;
    font-size: 1.2rem;
    font-weight: normal;
    background-color: var(--detail-color-2);
    border: var(--detail-color) solid 2px;
    border-radius: 10%;
    height: 40px;
    width: 250px;
    text-decoration: none;
}

.submitButton3 a {
    color: #000000;
    text-decoration: none;
}

.submitButton4 {
    font-family: Lexend, sans-serif;
    color: #000000;
    font-size: 1.7rem;
    font-weight: bold;
    background-color: var(--detail-color-2);
    border: var(--detail-color) solid 2px;
    border-radius: 10%;
    height: 60px;
    width: 400px;
    text-decoration: none;
}

.submitButton5 {
    font-family: Lexend, sans-serif;
    color: #000000;
    font-size: 1.2rem;
    font-weight: bold;
    background-color: var(--detail-color-2);
    border: var(--detail-color) solid 2px;
    border-radius: 10%;
    height: 30px;
    width: 200px;
    text-decoration: none;
}

.submit5 {
    padding: 7vh;
}


.certificatiess {
    padding: 20px;
}

.whoAmI {
    font-family: Inria_Sans, sans-serif;
    text-decoration: none;
    list-style-type: none;
    /*width: 90vw;*/
}

.howTo {
    font-family: Inria_Sans, sans-serif;
    text-decoration: none;
    list-style-type: none;
    font-size: 22px;
    width: 55vw;
    height: auto;
    justify-self: center;
    padding: 20px;
}

.whenTo {
    font-family: Inria_Sans, sans-serif;
    text-decoration: none;
    list-style-type: none;
    font-size: 22px;
    width: 55vw;
    height: auto;
    justify-self: center;
    padding: 20px;
}

.weatherCirc {
    font-family: Inria_Sans, sans-serif;
    text-decoration: none;
    list-style-type: none;
    font-size: 22px;
    width: 55vw;
    height: auto;
    justify-self: center;
    padding: 20px 20px 100px 20px;
}

.ourProducts {
    font-family: Inria_Sans, sans-serif;
    text-decoration: none;
    list-style-type: none;
    font-size: 22px;
    width: 55vw;
    height: auto;
    justify-self: center;
    padding: 20px;
}

.ourProducts h3 {
    font-size: 31.6px;
    padding-bottom: 13px;
}

.ourProducts h4 {
    font-size: 1.5rem;
    padding: 13px;
    color: #ba78b1;
}

.ourProducts h5 {
    font-size: 1.3rem;
    padding: 13px;
    color: var(--detail-color);
}

.ourProducts li {
    list-style: none;

}

.ourProducts ol {
    justify-items: left;
}

.productOne {
    padding-bottom: 20px;
    justify-items: center;
}

.productOne p {
    width: 680px;
}

.productTwo {
    padding: 20px;
}

h2 {
    padding: 10px;
    font-size: 31.6px;
    color: var(--main-color-2);
}

.whoAmI li {
    font-family: Inria_Sans, sans-serif;
    font-size: 22px;
    text-decoration: none;
    list-style-type: none;
    width: 55vw;
    justify-self: center;
}

.whoAmI p {
    padding-bottom: 10px;
    font-weight: bold;
}

.companyExplanation {
    padding: 20px;
}

.companyExplanation2 {
    padding: 20px;
    width: 50vw;
}

.companyExplanation2 p {
    width: 30vw;
}

.companyExplanation2 h1 {
    font-size: 5rem;
    font-weight: bold;
}

.contact1 {
    padding-bottom: 60px;
}

.contact1 p, .contact1 a {
    font-size: 22px;
    font-family: Inria_Sans, sans-serif;
    text-decoration: none;
    color: black;
}

.contact1 a:hover {
    text-decoration: underline black;
}

.editEverything {
    padding: 10vh 0;
    font-family: Lexend, sans-serif;
    font-weight: bold;
}

.editEverything label {
    padding: 20px;
}

.editEverything h1 {
    justify-self: center;
    padding-bottom: 25px;
}

h4, h5, h6 {
    font-family: Lexend, sans-serif;
    font-size: 31.6px;
    color: var(--main-color-2);
    padding: 10px;
}

/* Calendar Grid Styling */

.appointments-box {
    margin-top: 4vh;
    margin-left: 7vw;
    border: solid 2px var(--main-color-2);
    border-radius: 10px;
    display: flex;
    flex-direction: row;
    max-width: 45vw;
    max-height: 55vh;
}

/* Actual Calendar Grid */

.appointments-section {
    display: flex;
    flex-direction: row;
    margin-bottom: 4vh;
    padding-bottom: 10vh;
}

.appointments-calendar {
    flex: 2;
    border-right: solid 2px var(--main-color-2);
    max-width: 70%;
    min-width: 70%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    overflow: auto;
}


.weekdays {
    display: flex;
    flex-direction: row;
    font-family: Lexend;
}

.title {
    text-align: center;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    place-content: center;
    background-color: #eaeaea;
    color: var(--main-color-2);
    position: sticky;
    border-radius: 20px;
    min-height: 22%;
    max-height: 22%;
    top: 0;
    z-index: 10;
}

.title a {
    color: lightgrey;
    margin-top: 1vh;
}

.title span {
    font-weight: bold;
}

.days {
    background: #f3f2f1;
    display: grid;
    place-content: center;
    text-align: center;
    grid-auto-columns: 3em 10px;
    grid-template-columns: repeat(7, 1fr);
    position: sticky;
    top: 3em;
    z-index: 5;
    border-bottom: 2px solid #dadce0;
}

.day {
    border-left: 1px solid #dadce0;
}

.content {
    display: grid;
    grid-template-columns: 3em 10px repeat(7, 1fr);
    /*grid-template-rows: repeat(10, 3em);*/
}

.timeslot-container {
    width: 100%;
    height: 100%;
}


.col {
    border-right: 1px solid #dadce0;
    /*grid-row: 1/span 10;*/
    grid-column: span 1;
}

.col.monday {
    grid-column: 3;
}

.col.tuesday {
    grid-column: 4;
}

.col.wednesday {
    grid-column: 5;
}

.col.thursday {
    grid-column: 6;
}

.col.friday {
    grid-column: 7;
}

.col.saturday {
    grid-column: 8;
}

.col.sunday {
    grid-column: 9;
}

.filler-col {
    grid-row: 1/-1;
    grid-column: 2;
    border-right: 1px solid #dadce0;
}

.row {
    grid-column: 2/-1;
    border-bottom: 1px solid #dadce0;
}

.event {
    border-radius: 5px;
    padding: 5px;
    margin-right: 10px;
    font-weight: bold;
    font-size: 80%;
    text-decoration: none;
    color: #000;
    background-color: #d7dbef;
    border-color: #bcc3e5;
}

.event:hover {
    color: #fff;
    background-color: #81cdf2;
}

.weekend {
    background-color: #f1f3f4;
}

.current {
    font-weight: bold;
}


/* Timeslot Table Styling */

.appointments-timeslots {
    flex: 1;
}

#top {
    text-decoration: none;
    font-size: 27px;
    display: block;
    flex: 1;
    text-align: center;
    justify-content: center;
    align-content: center;
}

#bot {
    margin-bottom: 20px;
    text-decoration: none;
    font-size: 27px;
    text-align: center;
    justify-content: center;
    align-content: center;

}

#bot p {
    font-family: Lexend;
}

#bot table {
    padding: 10px;
    width: 100%;
    border: 1px solid #ccc;
    display: flex;
    justify-content: center;
    margin-left: 2vh;
    border: hidden;

}

#timeslotSelectable:active {
    background-color: var(--main-color-2);
    color: white;
}

/*Scrollable Div Styling (WIP)*/
::-webkit-scrollbar-button {
    display: none;
    background: transparent;
}


footer {
    padding-bottom: 30px;
    background-color: var(--main-color);
    height: 18vh;
    bottom: 0;
    align-content: end;
}

footer p, footer i {
    font-family: Open Sans, sans-serif;
    bottom: 0;
    color: white;
    text-decoration: none;
    font-size: 1.2rem;
    justify-content: left;
    padding: 3px;
    padding-left: 25px;
}

.footer-fixer {
    height: 72vh;
}

/* Index Styling */

@font-face {
    font-family: Inria_Sans;
    src: url(https://file.garden/aCHSjVU4PCQNDvKI/InriaSans-Regular.otf);
}

@font-face {
    font-family: Lexend;
    src: url('https://file.garden/aCHSjVU4PCQNDvKI/Lexend-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: Open_Sans;
    src: url(https://file.garden/aCHSjVU4PCQNDvKI/OpenSans_Condensed-Medium.ttf);
}

@font-face {
    font-family: Lexend;
    src: url(https://file.garden/aCHSjVU4PCQNDvKI/Lexend-Regular.ttf);
}



